package com.sqx.modules.errand.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sqx.common.utils.Result;
import com.sqx.modules.errand.entity.ErrandComplaint;

public interface ErrandComplaintService extends IService<ErrandComplaint> {

    Result insertComplaint(ErrandComplaint errandComplaint);

    Result findAllComplaint(Long userId, Integer illegalId, Integer complaintState, Integer page, Integer limit);

    Result findComplaint(Long userId, Long complaintId);

    Result appealIndent(Long userId, ErrandComplaint errandComplaint);

    Result findAllAppeal(Integer page, Integer limit, Long userId, Integer illegalId, Integer complaintState, String indentNumber);

    Result updateCustomerComplaint(Long complaintId, Integer complaintState);

    Result updateComplaintState(ErrandComplaint errandComplaint);

    Result selectComplaint(Long userId, Integer page, Integer limit);

}
